#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krfb
Epoch:          3
Version: 24.12.2
Release:        %mkrel %{rel}
Summary:        Remote Desktop Server
Group:          Networking/Remote access
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/krfb/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  cmake(KWayland)
#BuildRequires:  cmake(Qt6XkbCommonSupport)
BuildRequires:  cmake(KPipeWire)

BuildRequires:  pkgconfig(libvncserver) >= 0.9.10
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xtst)

Recommends:     krfb-handbook

%description
KDE Desktop Sharing is a server application that allows you to share your
current session with a user on another machine, who can use a VNC client to view
or even control the desktop.

%files -f %name.lang
%_kf6_categoriesdir/krfb.*categories
%_kf6_bindir/krfb
%_kf6_bindir/krfb-virtualmonitor
%_kf6_datadir/krfb
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.krfb.appdata.xml
%_kf6_iconsdir/*/*/apps/*
%_qt6_plugindir/krfb/

#------------------------------------------------------------------------------

%define major_krfbprivate 5
%define libkrfbprivate %mklibname krfbprivate %{major_krfbprivate}

%package -n %libkrfbprivate
Summary:        Runtime library for Krfb
Group:          System/Libraries

%description -n %libkrfbprivate
Runtime library for Krfb.

%files -n %libkrfbprivate
%_kf6_libdir/libkrfbprivate.so.%{major_krfbprivate}{,.*}

#------------------------------------------------------------------------------

%package -n krfb-handbook
Summary:        KRFB Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       krfb >= %{epoch}:%{version}-%{release}

%description -n krfb-handbook
This package provides KRFB Handbook.

%files -n krfb-handbook
%doc %_kf6_docdir/HTML/*/krfb

#------------------------------------------------------------------------------

%prep
%autosetup -p1

sed -i 's|find_package(Qt6XkbCommonSupport)|#find_package(Qt6XkbCommonSupport)|' CMakeLists.txt

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 3:24.12.2-1.mga10
+ Revision: 2147218
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 3:24.12.1-1.mga10
+ Revision: 2136619
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 3:24.12.0-1.mga10
+ Revision: 2123863
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 3:24.11.80-1.mga10
+ Revision: 2116416
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 3:24.08.3-1.mga10
+ Revision: 2114112
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 3:24.08.2-1.mga10
+ Revision: 2105608
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 3:24.08.1-1.mga10
+ Revision: 2097476
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 3:24.08.0-1.mga10
+ Revision: 2087668
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 3:24.07.90-1.mga10
+ Revision: 2085164
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 3:24.05.1-1.mga10
+ Revision: 2073283
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 3:24.05.0-1.mga10
+ Revision: 2069931
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 3:24.02.2-1.mga10
+ Revision: 2058678
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 3:24.02.0-1.mga10
+ Revision: 2045217
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 3:24.01.95-1.mga10
+ Revision: 2037715
- New version 24.01.95

* Wed Jan 10 2024 daviddavid <daviddavid> 3:24.01.90-1.mga10
+ Revision: 2029513
- New version 24.01.90
- switch to Qt6/KF6
+ neoclust <neoclust>
- New version 24.01.85
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 3:23.08.1-1.mga10
+ Revision: 1989659
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 3:23.04.1-1.mga9
+ Revision: 1958934
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 3:22.12.3-1.mga9
+ Revision: 1946548
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 3:22.12.2-1.mga9
+ Revision: 1941841
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 3:22.12.0-1.mga9
+ Revision: 1922962
- New version 22.12.0

* Wed Nov 30 2022 daviddavid <daviddavid> 3:22.11.90-2.mga9
+ Revision: 1913319
- enable Qt5XkbCommonSupport support
- enable libepoxy and libgbm support

* Sat Nov 26 2022 neoclust <neoclust> 3:22.11.90-1.mga9
+ Revision: 1911457
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 3:22.08.3-1.mga9
+ Revision: 1905308
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 3:22.08.1-1.mga9
+ Revision: 1886827
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 3:22.08.0-1.mga9
+ Revision: 1882876
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 3:22.04.3-1.mga9
+ Revision: 1873123
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 3:22.04.0-1.mga9
+ Revision: 1854016
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 3:22.03.90-1.mga9
+ Revision: 1849522
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 3:21.12.0-2.mga9
+ Revision: 1845927
- Mageia 9 Mass Rebuild

* Sun Jan 02 2022 neoclust <neoclust> 3:21.12.0-1.mga9
+ Revision: 1766105
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 3:21.04.1-1.mga9
+ Revision: 1724115
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 3:21.04.0-1.mga9
+ Revision: 1718400
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 3:20.12.3-2.mga9
+ Revision: 1698602
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 3:20.12.2-1.mga9
+ Revision: 1694129
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 3:20.12.0-1.mga8
+ Revision: 1656827
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 3:20.08.3-1.mga8
+ Revision: 1644041
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 3:20.08.2-1.mga8
+ Revision: 1633857
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 3:20.08.1-1.mga8
+ Revision: 1627100
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 3:20.08.0-1.mga8
+ Revision: 1614968
- New version 20.08.0

* Sat Jul 11 2020 neoclust <neoclust> 3:20.04.3-1.mga8
+ Revision: 1604897
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 3:20.04.2-1.mga8
+ Revision: 1596902
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 3:20.04.1-1.mga8
+ Revision: 1585340
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 3:20.04.0-1.mga8
+ Revision: 1568178
- New version 20.04.0

* Wed Mar 25 2020 neoclust <neoclust> 3:19.12.3-1.mga8
+ Revision: 1560184
- New version 19.12.3

* Sun Mar 01 2020 daviddavid <daviddavid> 3:19.12.2-4.mga8
+ Revision: 1552626
- add upstream patch for pipewire 0.3 support

* Sun Mar 01 2020 daviddavid <daviddavid> 3:19.12.2-3.mga8
+ Revision: 1552589
- rebuild for new pipewire 0.3.0

* Tue Feb 18 2020 umeabot <umeabot> 3:19.12.2-2.mga8
+ Revision: 1541065
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 3:19.12.2-1.mga8
+ Revision: 1513337
- New version 19.12.2
- New version 4.12.90
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 3:19.12.0-2.mga8
+ Revision: 1468877
- enable pipewire support

* Sat Dec 14 2019 neoclust <neoclust> 3:19.12.0-1.mga8
+ Revision: 1466995
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 3:19.08.3-1.mga8
+ Revision: 1457943
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 3:19.08.1-1.mga8
+ Revision: 1446452
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 3:19.04.3-1.mga8
+ Revision: 1425035
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 3:19.04.0-1.mga7
+ Revision: 1390490
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 3:19.03.90-1.mga7
+ Revision: 1387697
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 3:18.12.3-2.mga7
+ Revision: 1382810
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 3:18.12.3-1.mga7
+ Revision: 1375673
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 3:18.12.2-1.mga7
+ Revision: 1365613
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 3:18.12.1-1.mga7
+ Revision: 1356549
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 3:18.12.0-1.mga7
+ Revision: 1339555
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 3:18.08.3-1.mga7
+ Revision: 1332784
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 3:18.08.2-1.mga7
+ Revision: 1327438
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 3:18.04.1-2.mga7
+ Revision: 1298648
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 3:18.04.1-1.mga7
+ Revision: 1229047
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 3:17.12.2-1.mga7
+ Revision: 1201934
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 3:17.12.1-1.mga7
+ Revision: 1194956
- New version 17.12.1

* Tue Jan 02 2018 neoclust <neoclust> 3:17.12.0-1.mga7
+ Revision: 1189187
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 3:17.08.0-1.mga7
+ Revision: 1143089
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 3:17.07.90-1.mga7
+ Revision: 1136822
- New version 17.07.90

* Tue Jul 25 2017 neoclust <neoclust> 3:17.04.3-1.mga7
+ Revision: 1130654
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090119
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076863
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1072055
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067373
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061436
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050699
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047343
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040100
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012590
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004379
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994947
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991222
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987492
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 922660
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 3:15.12.0-1.mga6
+ Revision: 912030
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 3:15.11.80-1.mga6
+ Revision: 906942
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 3:15.08.3-1.mga6
+ Revision: 901052
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 3:15.08.1-1.mga6
+ Revision: 880888
- New version 15.08.1

* Sat Aug 29 2015 fwang <fwang> 3:15.08.0-1.mga6
+ Revision: 870963
- drop invalide files
- drop merged patches
- fix br
- comment out kf5 build requires
+ neoclust <neoclust>
- New version 15.08.0

* Wed Feb 18 2015 lmenut <lmenut> 3:4.14.3-4.mga5
+ Revision: 815772
- add patch to use libvncserver system library

* Fri Feb 06 2015 lmenut <lmenut> 3:4.14.3-3.mga5
+ Revision: 813810
- rebuild for KDE Telepathy 0.9.0

* Fri Dec 12 2014 luigiwalser <luigiwalser> 3:4.14.3-2.mga5
+ Revision: 802778
- add patch from fedora to build bundled libvncserver against system minilzo

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800636
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787734
- Update to KDE SC 4.14.2
  remove security patches merged upstream

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 747869
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734584
- Update to KDE SC 4.14.1
- add security patches from KDE/4.14 to fix CVE-2014-605[3-5] (mga#14205)
  patch1 & patch2 to fix CVE-2014-6055
  patch3 & patch4 to fix CVE-2014-6053 & CVE-2014-6054
- revert unbundle libvncserver

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681198
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667521
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source
- Backport patch from master to use libvncserver system library (mga#13933)

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 663033
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC
- add security patch from KDE/4.14 to update embedded minilzo (CVE-2014-4607)

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656711
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653896
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 652005
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  add buildrequires telepathy-kde-common-internals-devel

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636770
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625537
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615614
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609430
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606871
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603378
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600713
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590499
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589248
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555030
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551302
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540452
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490843
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488647
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476920
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465254
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458948
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455334
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 448034
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package krfb

